### org.jfree.layouting.modules.output.graphics

# Class QueryPhysicalPageInterceptor

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.graphics.QueryPhysicalPageInterceptor`

Implemented Interfaces:
  FlowSelector, GraphicsContentInterceptor, PageFlowSelector

`public class QueryPhysicalPageInterceptor`
`extends java.lang.Object`
`implements GraphicsContentInterceptor`

Creation-Date: 10.11.2006, 20:41:29

Author:
  Thomas Morgner

  ## Constructor Summary

  `QueryPhysicalPageInterceptor(PhysicalPageKey pageKey)`

  ## Method Summary

  `PageDrawable`

  `getDrawable()`

  `boolean`

  `isLogicalPageAccepted(LogicalPageKey key)`

  `boolean`

  `isMoreContentNeeded()`

  `boolean`

  `isPhysicalPageAccepted(PhysicalPageKey key)`

  `void`

  `processLogicalPage(LogicalPageKey key, PageDrawable page)`

  `void`

  `processPhysicalPage(PhysicalPageKey key, PageDrawable page)`

## Constructor Details

### QueryPhysicalPageInterceptor

    public QueryPhysicalPageInterceptor(PhysicalPageKey pageKey)

## Method Details

### getDrawable

    public PageDrawable getDrawable()

### isLogicalPageAccepted

    public boolean isLogicalPageAccepted(LogicalPageKey key)

> Specified by:
>   isLogicalPageAccepted in interface FlowSelector

### isMoreContentNeeded

    public boolean isMoreContentNeeded()

> Specified by:
>   isMoreContentNeeded in interface FlowSelector

### isPhysicalPageAccepted

    public boolean isPhysicalPageAccepted(PhysicalPageKey key)

> Specified by:
>   isPhysicalPageAccepted in interface PageFlowSelector

### processLogicalPage

    public void processLogicalPage(LogicalPageKey key,
                                   PageDrawable page)

> Specified by:
>   processLogicalPage in interface GraphicsContentInterceptor

### processPhysicalPage

    public void processPhysicalPage(PhysicalPageKey key,
                                    PageDrawable page)

> Specified by:
>   processPhysicalPage in interface GraphicsContentInterceptor